# osgclip.cpp File Reference

`#include <osg/MatrixTransform>`
`#include <osg/ClipNode>`
`#include <osg/Billboard>`
`#include <osg/Geode>`
`#include <osg/Group>`
`#include <osg/Notify>`
`#include <osg/Material>`
`#include <osg/PolygonOffset>`
`#include <osg/PolygonMode>`
`#include <osg/LineStipple>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgGA/TrackballManipulator>`
`#include <osgGA/FlightManipulator>`
`#include <osgGA/DriveManipulator>`
`#include <osgUtil/TransformCallback>`
`#include <osgProducer/Viewer>`
`#include <osgUtil/Optimizer>`

Include dependency graph for osgclip.cpp:

## Functions

osg::Node * | decorate_with_clip_node (osg::Node *subgraph)
int | main (int argc, char **argv)

## Function Documentation

osg::Node* decorate_with_clip_node | ( | osg::Node * | subgraph | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |